.location-accordion-badge {
  margin-left: auto;
  font-size: 1rem;
  color: white;
  padding: 0.5rem 1rem;
  line-height: 1;
  border-radius: 1.5rem;
  white-space: nowrap;
}

.location-accordion-badge.location-accordion-badge-open {
  background-color: #070;
}

.location-accordion-badge.location-accordion-badge-closed {
  background-color: #700;
}

.location-accordion-badge.location-accordion-badge-open.location-accordion-badge-soon {
  background-color: #770;
}

.location-accordion-badge .location-accordion-badge-short {
  display: inline;
}

.location-accordion-badge .location-accordion-badge-long {
  display: none;
}

.location-accordion {
  container-type: inline-size;
}

.location-accordion .accordion-button::after {
  margin-left: 1rem;
}

.location-accordion-hours td {
  padding: 0.5rem 1rem;
}

@container (min-width: 30rem) {
  .location-accordion-badge .location-accordion-badge-short {
    display: none;
  }

  .location-accordion-badge .location-accordion-badge-long {
    display: inline;
  }
}

.location-accordion>.accordion-item>a {
  text-decoration: none;
  color: inherit;
  display: block;
}

.accordion-link {
  display: flex;
  align-items: center;
}

.accordion-link img {
  margin-left: 1rem;
  width: var(--bs-accordion-btn-icon-width);
}